IPhysics: CPhysicsUniversal Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CPhysicsUniversal Class Reference

`#include <CPhysicsUniversal.h>`

Inherits IPhysicsJoint.

List of all members.

## Public Member Functions

| CPhysicsUniversal ()
| Empty constructor for the joint.
| ~CPhysicsUniversal ()
void | init (NewtonWorld *world, SPhysicsUniversalJoint *jnt)
| This function initializes the universal joint.
void | setUserCallback (NewtonSliderCallBack callback)
| This function is used to have a user joint callback.
f32 | getJointAngle ()
f32 | getJointAngle2 ()
f32 | getJointOmega ()
f32 | getJointOmega2 ()
vector3df | getForce ()

## Static Private Member Functions

static unsigned _cdecl | universalCallback (const NewtonJoint *universal, NewtonHingeSliderUpdateDesc *desc)

## Static Private Attributes

static vector3df | m_breakForce

## Constructor & Destructor Documentation

CPhysicsUniversal::CPhysicsUniversal | ( |  | ) |

Empty constructor for the joint.

CPhysicsUniversal::~CPhysicsUniversal | ( |  | ) |

The destructor is also empty as the joint destruction is handled by the IPhysicsJoint base class.

## Member Function Documentation

void CPhysicsUniversal::init | ( | NewtonWorld * | world,
|  | SPhysicsUniversalJoint * | jnt |
| ) |  |  |

This function initializes the universal joint.

void CPhysicsUniversal::setUserCallback | ( | NewtonSliderCallBack | callback | ) |

This function is used to have a user joint callback.

f32 CPhysicsUniversal::getJointAngle | ( |  | ) |

f32 CPhysicsUniversal::getJointAngle2 | ( |  | ) |

f32 CPhysicsUniversal::getJointOmega | ( |  | ) |

f32 CPhysicsUniversal::getJointOmega2 | ( |  | ) |

vector3df CPhysicsUniversal::getForce | ( |  | ) |

unsigned CPhysicsUniversal::universalCallback | ( | const NewtonJoint * | universal,
|  | NewtonHingeSliderUpdateDesc * | desc |
| ) |  |  | `[static, private]`

## Member Data Documentation

vector3df CPhysicsUniversal::m_breakForce`[static, private]`

Break force needed to break the join. This variable is declared static as it is called in static newton callbacks.

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsUniversal.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/CPhysicsUniversal.cpp